Subject: bug#73607: closed (Re: bug#73607: 30.0.90; Strange behaviour of C-x with define-prefix-command)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 04 Oct 2024 09:17:02 +0000

Your bug report

#73607: 30.0.90; Strange behaviour of C-x with define-prefix-command

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
73607: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73607
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#73607: 30.0.90; Strange behaviour of C-x with define-prefix-command
From: Sean Whitton <[email-masked]>
To: Andreas Schwab <[email-masked]>
Cc: [email-masked], Eli Zaretskii <[email-masked]>
Date: Fri, 04 Oct 2024 17:15:58 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

On Thu 03 Oct 2024 at 01:58pm +02, Andreas Schwab wrote:

> C-x starts a key translation.  If you type C-z C-x 8 " s you get the
> same binding as C-z ß.

Ah, I see.  Thanks.  I think that this means this is not a bug.

-- 
Sean Whitton

Subject: 30.0.90; Strange behaviour of C-x with define-prefix-command
From: Sean Whitton <[email-masked]>
To: [email-masked]
Date: Thu, 03 Oct 2024 10:42:05 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

1. emacs -q
2. (global-set-key "\C-z" (define-prefix-command 'foo))
3. C-z C-c => "C-z C-c is undefined" as expected

However:

4. C-z C-x => "C-z C-x- (C-h for help)"
5. C-z C-x C-h => "No commands with a binding that start with C-z C-x."

I am on the pgtk build.

-- 
Sean Whitton